Skip to main content
GET
/
v2
/
Pearl
/
{pearlId}
Get Pearl
curl --request GET \
  --url https://api.nlpearl.ai/v2/Pearl/{pearlId} \
  --header 'Authorization: Bearer <token>'
{
  "id": "<string>",
  "name": "<string>",
  "type": 123,
  "status": 123,
  "phoneNumber": "<string>",
  "totalAgents": 123,
  "created": "2023-11-07T05:31:56Z",
  "budgetConsumed": 123,
  "totalTodayCalls": 123,
  "totalOngoingCalls": 123,
  "totalOnQueue": 123,
  "totalLeads": 123,
  "totalLeadsCompleted": 123,
  "totalLeadsSuccess": 123,
  "budgetTotal": 123
}

Documentation Index

Fetch the complete documentation index at: https://developers.nlpearl.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Specify the authorization token.

For more information, check out the Authorization Guide.

Path Parameters

pearlId
string
required

Response

Details of the specific Pearl.

id
string | null

The unique identifier of the pearl.

name
string | null

The name of the pearl.

type
integer<int32>

Defines the type of activity of the pearl.

1 - Inbound

2 - Outbound

status
integer<int32>

Here is the activity status

1 - Running

2 - Paused

3 - Suspended

10 - TemporaryMaintenance

phoneNumber
string | null

The phone number assigned to the pearl.

totalAgents
integer<int32>

The total number of agents allocated to the pearl.

created
string<date-time>

The date and time when the pearl was created.

budgetConsumed
integer<int32>

The amount of budget consumed so far for the pearl.

totalTodayCalls
integer<int32>

The total number of calls made today for the pearl.

totalOngoingCalls
integer<int32>

The total number of ongoing calls for the pearl.

totalOnQueue
integer<int32> | null

The number of calls currently waiting in the queue (inbound only).

totalLeads
integer<int32> | null

The total number of leads associated with the pearl (outbound only).

totalLeadsCompleted
integer<int32> | null

The total number of leads that have been completed (outbound only).

totalLeadsSuccess
integer<int32> | null

The total number of leads successfully converted (outbound only).

budgetTotal
integer<int32> | null

The total budget allocated for the pearl (outbound only).